Get claim tokens data
curl --request GET \
--url https://api-v2.rubic.exchange/api/utility/claimimport requests
url = "https://api-v2.rubic.exchange/api/utility/claim"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.rubic.exchange/api/utility/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"approvalAddress": "<string>",
"permit2Address": "<string>",
"data": "<string>",
"to": "<string>",
"value": "<string>",
"depositAddress": "<string>",
"amountToSend": "<string>",
"extraFields": {},
"exchangeId": "<string>",
"tonMessages": [
{
"address": "<string>",
"amount": "<string>",
"payload": "<string>",
"stateInit": "<string>"
}
],
"psbt": "<string>",
"signInputs": [
123
],
"feeLimit": 123,
"callValue": "<string>",
"signature": "<string>",
"arguments": [
"<string>"
],
"rawParameter": "<string>",
"transaction": "<string>"
}{
"approvalAddress": "<string>",
"permit2Address": "<string>",
"data": "<string>",
"to": "<string>",
"value": "<string>",
"depositAddress": "<string>",
"amountToSend": "<string>",
"extraFields": {},
"exchangeId": "<string>",
"tonMessages": [
{
"address": "<string>",
"amount": "<string>",
"payload": "<string>",
"stateInit": "<string>"
}
],
"psbt": "<string>",
"signInputs": [
123
],
"feeLimit": 123,
"callValue": "<string>",
"signature": "<string>",
"arguments": [
"<string>"
],
"rawParameter": "<string>",
"transaction": "<string>"
}Utility
Get claim tokens data
This endpoint returns the data required to claim or redeem tokens for the Arbitrum Bridge (ETH ↔ Arbitrum). It is used after a successful source-chain transaction to prepare the on-chain call on the destination network.
GET
/
api
/
utility
/
claim
Get claim tokens data
Query Parameters
Available options:
ARBITRUM, ETH Response
Gateway address to approve erc20 token
Data to execute
Contract to call
Address to deposit funds to
Token amount to send to deposit address
Extra fields to perform the transaction
Messages array for tonConnectUI.sendTransaction() call
Show child attributes
Show child attributes
Unsigned psbt bitcoin transaction
Indexes of inputs which user have to sign
Fee limit for tron blockchain
Native token value for tron blockchain
Function signature of tron transaction
Encoded tron transaction arguments
Fee limit for tron blockchain